MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000867XdebugFeature/Change requestpublic2012-07-13 21:432015-02-22 14:30
Reporterdarklow 
Assigned Toderick 
PriorityhighSeverityfeatureReproducibilityN/A
StatusresolvedResolutionduplicate 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version2.3.0 
Summary0000867: Show File Path/Line information where dump was called from
DescriptionIt could be very useful, if on results of var_dump() on the top of block we could see exact FilePath/FileName and Line on which var_dump() was called.
Sometimes by debugging you can leave some unremoved var_dump() methods, and later in large project it is really hard to find where these dumps are called from.

Also if you have multiple dumps it is even more useful, so you know which dump is which.

I attached example file as this is done in other custom debug solution.
Thanks
TagsNo tags attached.
Operating System
PHP Version5.4.3
Attached Filespng file icon dump_path.png [^] (5,263 bytes) 2012-07-13 21:43

- Relationships
duplicate of 0000304closedderick File name and line number info for var_dump() 

-  Notes
(0002706)
derick (administrator)
2014-02-27 19:39

Duplicate of 0000304, which is going to make it into Xdebug 2.3.0.

- Issue History
Date Modified Username Field Change
2012-07-13 21:43 darklow New Issue
2012-07-13 21:43 darklow File Added: dump_path.png
2014-02-27 19:39 derick Note Added: 0002706
2014-02-27 19:39 derick Relationship added duplicate of 0000304
2014-02-27 19:39 derick Status new => resolved
2014-02-27 19:39 derick Fixed in Version => 2.3dev
2014-02-27 19:39 derick Resolution open => duplicate
2014-02-27 19:39 derick Assigned To => derick
2015-02-22 14:30 derick Fixed in Version 2.3dev => 2.3.0


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker